Subject: bug#28582: closed (Re: bug#28582: Coreutils 'make check' failure due to expr change)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Sep 2017 19:37:02 +0000

Your bug report

#28582: Coreutils 'make check' failure due to expr change

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28582: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28582
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28582: Coreutils 'make check' failure due to expr change
From: Pádraig Brady <[email-masked]>
To: Paul Eggert <[email-masked]>, [email-masked]
Cc: Assaf Gordon <[email-masked]>
Date: Sun, 24 Sep 2017 12:36:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 24/09/17 09:48, Paul Eggert wrote:
> I have the following in my environment:
> 
> LC_ALL=en_US.utf8
> LC_COLLATE=en_US.UTF-8
> LC_CTYPE=en_US.UTF-8
> LC_MESSAGES=en_US.UTF-8
> 
> When I run 'make check' for bleeding-edge Coreutils, I get a failure due to 
> recent changes in expr. tests/misc/expr.log is attached. Evidently the recent 
> changes are not taking message translation into account.
> 
> My platform is Fedora 26 x86-64.
> 

You weren't on latest git?
It was addressed 4 days ago with:
https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=3a3f5f3

Marking bug done.

thanks,
Pádraig

Subject: Coreutils 'make check' failure due to expr change
From: Paul Eggert <[email-masked]>
To: [email-masked]
Cc: Assaf Gordon <[email-masked]>
Date: Sun, 24 Sep 2017 09:48:33 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I have the following in my environment:

LC_ALL=en_US.utf8
LC_COLLATE=en_US.UTF-8
LC_CTYPE=en_US.UTF-8
LC_MESSAGES=en_US.UTF-8

When I run 'make check' for bleeding-edge Coreutils, I get a failure due to 
recent changes in expr. tests/misc/expr.log is attached. Evidently the recent 
changes are not taking message translation into account.

My platform is Fedora 26 x86-64.